html {
    --hover-color: #fffaaa;
    --default-color: #002a54;
}

/* Fonts */

@font-face {
    font-family: "Xanh Mono";
    src: url(/assets/XanhMono.woff2);
    font-weight: normal;
}

@font-face {
    font-family: spacemono;
    src: url(/assets/SpaceMono.woff2);
    font-weight: normal;
}

@font-face {
    font-family: AntykwaTorunska;
    src: url(/assets/AntykwaTorunska.woff2);
    font-weight: normal;
}

/* im in love with your booooody */

body {
    background-color: #0f0320;
    color: rgb(179, 214, 255);
    font-family: "Xanh Mono", monospace;
    font-size: 14px;
    max-width: 1080px;
    margin: auto;
}

/* All-overs */

.all {
    display: flexbox;
    padding: 15px;
    gap: 5px;
    align-items: centre;
    margin: auto;
}

.main {
    width: 100%;
    display: flex;
    flex-direction: column;
}

.heading {
    margin: auto;
    display: box;
    text-align: center;
    align-items: center;
    padding: 15px;
}

.heading-vid {
    width: 100%;
    height: auto;
    display: flexbox;
    margin: auto;
}

/* Front Boxes */

.box {
    border: 2px solid var(--hover-color);
    border-radius: 5px;
    padding: 0 10px 0 10px;
    margin-bottom: 15px;
}

.boxtxt {
    font-family: spacemono, monospace;
}

.box:hover {
    transition: color 200ms linear;
    transition: background-color 1000ms ease;
    color: #0f0320;
    background-color: var(--hover-color);
}

.box:not(:hover) {
    transition: color 200ms linear;
    transition: background-color 1000ms ease;
}

.photobox {
    display: flexbox;
    border: 2px solid var(--hover-color);
    border-radius: 5px;
    padding: 0 10px 0 10px;
    margin-bottom: 15px;
}

.boximg {
    width: 100%;
    height: auto;
    display: flexbox;
    margin: auto;
}

/* Navigation */
.nav {
    font-family: "Xanh Mono", monospace;
    text-decoration: none;
    text-align: center;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    margin: auto;
}

/* Content */
.content {
    font-family: "Xanh Mono", monospace;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    margin: auto;
}

/* Others */

.formulae {
    font-family: AntykwaTorunska, serif;
    font-size: 20px;
}

#selectable {
    border-left: 0px;
    border-color: var(--default-color);
    box-shadow: -5px 0px 0px 0px var(--hover-color);
    margin-left: 5px;
    padding: 0 10px 0 10px;
}

h1,
h2,
h3,
p {
    margin: 10px 0 10px 0;
}
h1 {
    font-size: 30px;
}
h2 {
    font-size: 25px;
}
h3 {
    font-size: 18px;
}
p {
    font-size: 15px;
}
ul {
    padding-left: 20px;
    margin: 10px 0 10px 0;
}

a {
    color: inherit;
    outline: none;
}
a:hover {
    color: var(--hover-color);
}

#selectable:hover {
    margin-left: 10px;
    border-color: var(--hover-color);
}
#selectable:active {
    border-style: dashed;
}

/* use with <pre> */
.terminal {
    background-color: #181b28;
    color: #e8e7e4;
    border: 3px solid var(--default-color);
    padding-left: 10px;
    margin: 10px 0 10px 0;
    tab-size: 4;
    max-width: 650px;
    font-size: 13px;
    overflow: auto;
}
.terminal:hover {
    border-color: #285577;
}

table,
th,
td {
    margin: 10px 0px 10px 0;
    border: 1px solid #e8e7e4;
    border-collapse: collapse;
}
table {
    width: 100%;
}
th {
    height: 30px;
    padding: 0 5px 0 5px;
}
td {
    font-size: 12px;
    padding: 5px;
}

.other {
    position: sticky;
    top: 5px;
    width: 200px;
}

.links {
    border: 1px solid var(--hover-color);
    border-top: 5px solid var(--hover-color);
    padding: 0 10px 0 10px;
}

.button {
    text-align: center;
}

footer {
    text-align: center;
}
